Rights on the file /etc/puppet/autosign.conf

03/03/2011 12:47 PM - Arnaud Sourioux

Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

The file autosign.conf needs to be in 0644 or puppetca gives an error saying that this file isn't in 0644

but when i click on build for a host, i have an error if this file isnt in 0666

is there a way to have the file in 0644 and the build working??

Thank you

History

#1 - 03/15/2011 03:43 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee deleted (Ohad Levy)

just update the owner of the autosign to be the foreman user?

#2 - 03/15/2011 02:39 PM - Arnaud Sourioux

I tried to chown it as foreman:foreman and www-data:www-data with 644 rigths

but it still doesn't work when I click on "cancel build"

it only works with 666 rights

i dont know wich process is trying to open it with RW

but why does it tryes to open it with for writing??

#3 - 04/12/2011 11:22 AM - Juan José Presa

I've solved permission problem with mode 644. The workaround is chown it as foreman-proxy:foreman-proxy

#4 - 04/23/2011 02:44 PM - Ohad Levy

- Status changed from Feedback to Closed
